Package org.eclipse.gef.zest.fx.parts

# Class ZestFxContentPartFactory

java.lang.Object
org.eclipse.gef.zest.fx.parts.ZestFxContentPartFactory

All Implemented Interfaces:
  `IContentPartFactory`

public class ZestFxContentPartFactory extends Object implements IContentPartFactory
The `ZestFxContentPartFactory` is a `Graph`-specific `IContentPartFactory`. It creates `GraphPart`s, `NodePart`s, and `EdgePart`s for the corresponding `Graph`s, `Node`s, and `Edge`s.

## Constructor Summary

Constructors
Constructor
Description
`ZestFxContentPartFactory()`

## Method Summary

Modifier and Type
Method
Description
`IContentPart<? extends javafx.scene.Node>`
`createContentPart(Object content, Map<Object,Object> contextMap)`
`protected Injector`
`getInjector()`
Access to the injector that is used to initialize the result objects of `createContentPart(Object, Map)`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ZestFxContentPartFactory

public ZestFxContentPartFactory()

## Method Details

### createContentPart

public IContentPart<? extends javafx.scene.Node> createContentPart(Object content, Map<Object,Object> contextMap)

Specified by:
  `createContentPart` in interface `IContentPartFactory`

### getInjector

protected Injector getInjector()
Access to the injector that is used to initialize the result objects of `createContentPart(Object, Map)`.

Returns:
  the injector.
Since:
  5.1